<th:block th:fragment="errors(fieldName)" th:if="${#fields.hasErrors('__${fieldName}__')}">
    <div class="invalid-feedback">
        <span class="d-block text-sm" th:each="err : ${#fields.errors('__${fieldName}__')}" th:text="${err}"></span>
    </div>
</th:block>